MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000614SoldatGUIpublic2015-05-29 11:102015-10-28 19:33
Reporterhomerofgods 
Assigned ToShoozza 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000614: setup.SIF must be in a custom interface
DescriptionI was trying to put my custom interface in the custom-interface folder, but when I started soldat it would only show the default interface. I got frustrated and tried to remove parts of my interface, removing one by one in hope to find what image was causing soldat to not show the entire interface. Then I realised I had no setup.SIF

I think soldat should either give a warning message that your interface could not be shown due to missing setup.sif, or simply use the default placement of images whenever setup.sif is missing
Steps To Reproduce1. Make a custom interface without setup.SIF (Uploaded for you)
2. Start soldat with this custom interface and notice it only show the default interface.
TagsNo tags attached.
Attached Filesrar file icon interface-gfx-redchech.rar [^] (101,807 bytes) 2015-05-29 11:10

- Relationships
related to 0000612new Soldat prioritizing interface-gfx over custom-interfaces folder 
related to 0000565new Background on interfaces is not always detected 
related to 0000294confirmed Using a scenery folder in a mod fails to overwrite sceneries ingame 
related to 0000198feedbackFalcon Soldat fails to display interface images when starting the game with a mod 
related to 0000207confirmed Needs gostek-gfx customization for team 0, 3 and 4 

-  Notes
(0002482)
SyavX (reporter)
2015-07-28 20:26

> or simply use the default placement of images whenever setup.sif is missing
This is a bad idea
(0002502)
Shoozza (administrator)
2015-10-28 19:00

I would consider showing a warning if SIF file is missing and mod was chosen.
(0002504)
Shoozza (administrator)
2015-10-28 19:33

Error popup will show for if setup.sif is missing.
Translations aren't used though.

- Issue History
Date Modified Username Field Change
2015-05-29 11:10 homerofgods New Issue
2015-05-29 11:10 homerofgods File Added: interface-gfx-redchech.rar
2015-05-29 11:10 homerofgods Relationship added related to 0000612
2015-05-29 18:23 homerofgods Relationship added related to 0000294
2015-05-29 18:24 homerofgods Relationship added related to 0000198
2015-05-29 18:25 homerofgods Relationship added related to 0000207
2015-05-29 18:26 homerofgods Relationship added related to 0000565
2015-07-28 20:26 SyavX Note Added: 0002482
2015-10-28 19:00 Shoozza Note Added: 0002502
2015-10-28 19:00 Shoozza Assigned To => Shoozza
2015-10-28 19:00 Shoozza Status new => acknowledged
2015-10-28 19:33 Shoozza Note Added: 0002504
2015-10-28 19:33 Shoozza Status acknowledged => resolved
2015-10-28 19:33 Shoozza Fixed in Version => 1.6.10
2015-10-28 19:33 Shoozza Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker